Package org.apache.lucene.benchmark.byTask.tasks

# Class FlushIndexTask

java.lang.Object
org.apache.lucene.benchmark.byTask.tasks.PerfTask
org.apache.lucene.benchmark.byTask.tasks.FlushIndexTask

All Implemented Interfaces:
  `Cloneable`

public class FlushIndexTask extends PerfTask
Flush Index Task uses flushNextBuffer() to flush documents at thread level

## Field Summary

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

## Constructor Summary

Constructors
Constructor
Description
`FlushIndexTask(PerfRunData runData)`

## Method Summary

Modifier and Type
Method
Description
`int`
`doLogic()`
Perform the task once (ignoring repetitions specification) Return number of work items done by this task.

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, supportsParams, tearDown, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FlushIndexTask

public FlushIndexTask(PerfRunData runData)

## Method Details

### doLogic

public int doLogic() throws Exception
Description copied from class: `PerfTask`
Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

Specified by:
  `doLogic` in class `PerfTask`
Returns:
  number of work items done by this task.
Throws:
  `Exception`